Loading...
Searching...
No Matches
field_traits< field_basic< T, M > >

## Detailed Description

template<class T, class M>
struct rheolef::details::field_traits< field_basic< T, M > >

Definition at line 494 of file field.h.

## Public Types

using | size_type = std::size_t
using | scalar_type = T
using | memory_type = M

## Member Typedef Documentation

## size_type

template<class T , class M >

using size_type = std::size_t

Definition at line 495 of file field.h.

## scalar_type

template<class T , class M >

using scalar_type = T

Definition at line 496 of file field.h.

## memory_type

template<class T , class M >

using memory_type = M

Definition at line 497 of file field.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-Hrneba/rheolef-7.2/main/lib/field.h